org.apache.cassandra.gms

## Class EndpointState

- java.lang.Object
- - org.apache.cassandra.gms.EndpointState

    public class EndpointState
    extends java.lang.Object

This abstraction represents both the HeartBeatState and the ApplicationState in an EndpointState instance. Any state for a given endpoint can be retrieved from this instance.

### Field Summary

Fields
`protected static org.slf4j.Logger` `logger`
`static IVersionedSerializer<EndpointState>` `serializer`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addApplicationState(ApplicationState key, VersionedValue value)`
`void` `addApplicationStates(java.util.Map<ApplicationState,VersionedValue> values)`
`void` `addApplicationStates(java.util.Set<java.util.Map.Entry<ApplicationState,VersionedValue>> values)`
`VersionedValue` `getApplicationState(ApplicationState key)`
`java.lang.String` `getStatus()`
`long` `getUpdateTimestamp()`
`boolean` `isAlive()`
`boolean` `isRpcReady()`
`java.util.Set<java.util.Map.Entry<ApplicationState,VersionedValue>>` `states()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### logger

    protected static final org.slf4j.Logger logger

#### serializer

    public static final IVersionedSerializer<EndpointState> serializer

### Method Detail

#### getApplicationState

    public VersionedValue getApplicationState(ApplicationState key)

#### states

    public java.util.Set<java.util.Map.Entry<ApplicationState,VersionedValue>> states()

#### addApplicationState

    public void addApplicationState(ApplicationState key,
                                    VersionedValue value)

#### addApplicationStates

    public void addApplicationStates(java.util.Map<ApplicationState,VersionedValue> values)

#### addApplicationStates

    public void addApplicationStates(java.util.Set<java.util.Map.Entry<ApplicationState,VersionedValue>> values)

#### getUpdateTimestamp

    public long getUpdateTimestamp()

Returns:
  System.nanoTime() when state was updated last time.

#### isAlive

    public boolean isAlive()

#### isRpcReady

    public boolean isRpcReady()

#### getStatus

    public java.lang.String getStatus()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`